=== debian/changelog ===
tinyxml2 (0~git20120518.1.a2ae54e-1) unstable; urgency=low

  * Initial release (Closes: #674074)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 23 May 2012 02:54:30 +0800
