=== debian/control ===
Source: tinyxml2
Priority: extra
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               cmake
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.grinninglizard.com/tinyxml2/
Vcs-Git: git://git.debian.org/collab-maint/tinyxml2.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/tinyxml2.git;a=summary

Package: libtinyxml2-dev
Section: libdevel
Architecture: any
Depends: libtinyxml2-0.0.0 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: TinyXML2 library - header and static library
 This package contains the header file and a static version of the
 TinyXML2 library.
 .
 TinyXML2 is a simple and small C++ XML parser that can be easily integrating
 into other programs. It reads XML and creates C++ objects representing the XML
 document. The objects can be manipulated, changed, and saved again as XML.
 .
 TinyXML2 supersedes the previous TinyXML library, with various improvements:
  - Fewer memory allocations (1% - 10% compared to TinyXML)
  - Uses less memory (about 40% of that used by TinyXML)
  - Faster
  - No STL requirement
  - More modern C++, including a proper namespace
  - Proper and useful handling of whitespace

Package: libtinyxml2-0.0.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: C++ XML parsing library
 This package contains the shared version of the TinyXML2 library.
 .
 TinyXML2 is a simple and small C++ XML parser that can be easily integrating
 into other programs. It reads XML and creates C++ objects representing the XML
 document. The objects can be manipulated, changed, and saved again as XML.
 .
 TinyXML2 supersedes the previous TinyXML library, with various improvements:
  - Fewer memory allocations (1% - 10% compared to TinyXML)
  - Uses less memory (about 40% of that used by TinyXML)
  - Faster
  - No STL requirement
  - More modern C++, including a proper namespace
  - Proper and useful handling of whitespace
