=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

override_dh_auto_configure:
	dh_auto_configure -Bbuild --					\
		-DBUILD_SHARED_LIBS=ON					\
		-DBUILD_STATIC_LIBS=ON					\
		-DCMAKE_INSTALL_LIBDIR:PATH=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -Bbuild

override_dh_auto_install:
	dh_auto_install -Bbuild

override_dh_auto_clean:
	rm -rf build

%:
	dh $@
