## tinyxml2 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ################################
 # set lib version here
 
-set(GENERIC_LIB_VERSION "2.0.2")
+set(GENERIC_LIB_VERSION "2.1.0")
 set(GENERIC_LIB_SOVERSION "2")
