=== debian/changelog ===
tinyxml2 (2.1.0-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1373049)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 24 Sep 2014 09:58:44 +0100

tinyxml2 (2.1.0-1) unstable; urgency=medium

  * [5db3612] Imported Upstream version 2.1.0

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 13 Apr 2014 21:34:21 +0800

tinyxml2 (2.0.2-1) unstable; urgency=medium

  * [92a3ede] Add debian/watch that looks at github tags.
    Thanks to Octavio Alvarez
  * [e03135c] Imported Upstream version 2.0.2 (Closes: #738700)
  * [512de19] Renmae package for ABI change.
    We now finally have a SOVERSION
  * [82ad203] Drop patch -- applied upstream
  * [ab15c6f] Add .symbols file since we have a SOVERSION now
  * [9d6aa8f] Bump Standards-Version to 3.9.5 (no changes required)
  * [b7e9f94] Build with -fvisibility to control symbol exporting
  * [9e36237] Drop -DBUILD_SHARED_LIBS.
    Obsolete option
  * [f4bdfad] Pass -c4 to dpkg-gensymbols

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 20 Mar 2014 00:32:19 +0800
