=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                cmake
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.grinninglizard.com/tinyxml2/
 Vcs-Git: git://git.debian.org/collab-maint/tinyxml2.git
@@ -13,7 +13,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-0.0.0 (= ${binary:Version}),
+Depends: libtinyxml2-2 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -33,7 +33,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-0.0.0
+Package: libtinyxml2-2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
