=== debian/changelog ===
tinyxml2 (2.2.0-1.1ubuntu1) wily; urgency=medium

  * Rename libtinyxml2-2v5 to libtinyxml2-2v5, follow-up to the
    libstdc++6 ABI change.
  * Add Breaks/Replaces to the old package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jul 2015 12:18:09 +0200

tinyxml2 (2.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark a symbol as optional (GCC 5). Closes: #790290.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jul 2015 17:51:50 +0200

tinyxml2 (2.2.0-1) unstable; urgency=medium

  * [ef813f9] Imported Upstream version 2.2.0
  * [bb3c2ec] Add new symbols
  * [1ab858d] Re-sort symbols file

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 21 Sep 2014 04:10:47 +0800
