=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-2 (= ${binary:Version}),
+Depends: libtinyxml2-2v5 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -33,12 +33,14 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-2
+Package: libtinyxml2-2v5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: libtinyxml2-2
+Replaces: libtinyxml2-2
 Description: C++ XML parsing library
  This package contains the shared version of the TinyXML2 library.
  .
