=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -Bbuild --					\
-		-DBUILD_SHARED_LIBS=ON					\
 		-DBUILD_STATIC_LIBS=ON					\
 		-DCMAKE_INSTALL_LIBDIR:PATH=lib/$(DEB_HOST_MULTIARCH)
 
@@ -18,5 +17,8 @@
 override_dh_auto_clean:
 	rm -rf build
 
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4
+
 %:
 	dh $@
