## tinyxml2 3.0.0

=== debian/changelog ===
tinyxml2 (3.0.0-2) unstable; urgency=medium

  * [37d01ac] Fix inconsistent line endings in header.
    This confuses emacs and makes it show the \r characters as ^M.
    (Closes: #817046)
  * [a60c31d] No-change bump of Standards-Version to 3.9.7

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 15 Mar 2016 04:15:44 +0800

tinyxml2 (3.0.0-1) experimental; urgency=low

  * [9496ce4] Imported Upstream version 2.3.0
  * [c778438] Update patches
  * [2489ff0] Drop -DBUILD_STATIC_LIBS=ON.
    The option was dropped upstream.
  * [e71af9e] Don't install static lib.
    Removed upstream.
  * [79e468b] Imported Upstream version 3.0.0
  * [f0d815a] Rename package for ABI bump
  * [802c41a] Bump version on new symbols and drop missing symbols.
    Upstream re-released 2.3.0 as 3.0.0 for the ABI bump, so update the symbol
    versions accordingly.
  * [a2149e1] Bump Standards-Version to 3.9.6
  * [054161c] Add Build-Conflicts on libssl1.0.0
    cmake won't launch with this installed.
  * [2704f0c] Mark vtable for tinyxml2::XMLVisitor optional.
    This class has no non-inline virtual members, so the vtable only shows up
    when built with noopt.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 18 Mar 2015 10:18:23 +0800

tinyxml2 (2.2.0-2) UNRELEASED; urgency=medium

  * [16ea6e7] Import patch to fix nullptr dereference when printing malformed
    entities (Closes: #780153)
  * [0eb468f] Fix symbols file mismatch (Closes: #780156)
  * [506efb9] Mark inlined symbols as optional

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 16 Mar 2015 15:44:48 +0800
