=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                cmake
-Standards-Version: 3.9.5
+Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://www.grinninglizard.com/tinyxml2/
 Vcs-Git: git://git.debian.org/collab-maint/tinyxml2.git
@@ -13,7 +14,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-2v5 (= ${binary:Version}),
+Depends: libtinyxml2-3 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -33,14 +34,12 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-2v5
+Package: libtinyxml2-3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libtinyxml2-2
-Replaces: libtinyxml2-2
 Description: C++ XML parsing library
  This package contains the shared version of the TinyXML2 library.
  .
