## tinyxml2 4.0.1

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
                dpkg-dev (>= 1.16.1),
                cmake
 Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.grinninglizard.com/tinyxml2/
 Vcs-Git: git://git.debian.org/collab-maint/tinyxml2.git
@@ -14,7 +14,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-3 (= ${binary:Version}),
+Depends: libtinyxml2-4 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,7 +34,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-3
+Package: libtinyxml2-4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
