## tinyxml2 5.0.1

=== debian/changelog ===
tinyxml2 (5.0.1-1) unstable; urgency=medium

  * [2013058] New upstream version 5.0.1
  * [12350d1] Use dh_auto_test for tests
  * [efc7bd2] Sort symbols file
  * [08edab1] Add new symbols

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Jun 2017 02:02:07 +0800

tinyxml2 (5.0.0-1) unstable; urgency=medium

  * [6fd276b] New upstream version 5.0.0
  * [244028b] Drop upstreamed patches
  * [79ec582] Force cmake build system
    debhelper assumes normal Makefile due to the presence of a bare Makefile
  * [4b13f1f] Rename package for soname bump
  * [a8f2dd5] Update symbols file

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 22 Jun 2017 00:37:18 +0800

tinyxml2 (4.0.1-1) unstable; urgency=medium

  * [1f93ea0] Imported Upstream version 4.0.1
  * [eab7bb3] Refresh patches
  * [864825f] Fix segfault in test
  * [3fabcc2] Rename packages for new soname
  * [f15a244] Update symbols file
  * [40b2bc9] Bump Standards-Version to 3.9.8
  * [166c3f5] Make provisions for different int64_t types

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 14 Aug 2016 03:48:43 +0800
