=== debian/changelog ===
tinyxml2 (6.0.0+dfsg-1) unstable; urgency=medium

  * [1dd1cea] Update symbols file
  * [688061d] Sort symbols file
  * [3fe600a] Change priority to optional
    extra is deprecated
  * [7738aec] Update Vcs-* fields to use https
  * [fca650d] Bump Standards-Version to 4.1.3
  * [fd8262b] Drop docs subdirectory (contains minified js files)
  * [570fbbc] New upstream version 6.0.0+dfsg
  * [ccac24b] New upstream version 6.0.0
  * [8187a19] Rename packages for soname bump

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 10 Jan 2018 00:30:20 +0800
