=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: tinyxml2
-Priority: extra
+Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                cmake
 Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Section: libs
 Homepage: http://www.grinninglizard.com/tinyxml2/
-Vcs-Git: git://git.debian.org/collab-maint/tinyxml2.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/tinyxml2.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tinyxml2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tinyxml2.git
 
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-5 (= ${binary:Version}),
+Depends: libtinyxml2-6 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,7 +34,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-5
+Package: libtinyxml2-6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
