## tinyxml2 6.2.0+dfsg

=== debian/changelog ===
tinyxml2 (6.2.0+dfsg-2) unstable; urgency=medium

  * [7fdca1f] Rename package for abi break (Closes: #898535)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 30 Jul 2018 01:28:33 +0800

tinyxml2 (6.2.0+dfsg-1) unstable; urgency=medium

  * [3010f8e] New upstream version 6.2.0+dfsg
  * [ba30c86] Update symbols file with new symbols
  * [6923f8b] Port to salsa

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Apr 2018 02:15:00 +0800
