=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Standards-Version: 4.1.3
 Section: libs
 Homepage: http://www.grinninglizard.com/tinyxml2/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tinyxml2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tinyxml2.git
+Vcs-Browser: https://salsa.debian.org/debian/tinyxml2
+Vcs-Git: https://salsa.debian.org/debian/tinyxml2.git
 
 Package: libtinyxml2-dev
 Section: libdevel
@@ -34,10 +34,12 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-6
+Package: libtinyxml2-6a
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: libtinyxml2-6
+Conflicts: libtinyxml2-6
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: C++ XML parsing library
