=== debian/changelog ===
tinyxml2 (7.0.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:50 +0100

tinyxml2 (7.0.0+dfsg-1) unstable; urgency=medium

  * [8d89e51] New upstream version 7.0.0+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 14 Nov 2018 11:38:27 +0800

tinyxml2 (6.2.0+dfsg-3) unstable; urgency=medium

  * [a9d33cd] Pass -B and -S flags directly to dh instead
  * [beb4c14] Fix libtinyxml2-dev dependency on libtinyxml2-6a

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 04 Aug 2018 20:03:32 +0800
