=== debian/changelog ===
tinyxml2 (7.0.1+dfsg-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * [e3840d2] d/copyright: Use https protocol in Format field

  [ Chow Loong Jin ]
  * [ee81729] New upstream version 7.0.1+dfsg
  * [7973939] Rename packages for new soname
  * [a76573b] Add new symbols

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 28 Dec 2018 04:09:32 +0800
