## tinyxml2 8.0.0%2Bdfsg

=== debian/changelog ===
tinyxml2 (8.0.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 14 May 2020 11:34:35 +0800

tinyxml2 (8.0.0+dfsg-1) experimental; urgency=medium

  * [b3cd7aa] New upstream version 8.0.0+dfsg
  * [d240940] Update package name for SONAME bump
  * [cb5c220] Update symbols file
  * [a54d3e9] Bump debhelper compat to 12
  * [08758ba] Drop provides/conflicts of libtinyxml2-6
  * [2a9c94c] Patch to fix first line indentation
  * [4a376e3] Set visibility to hidden for private functions.
    They're not going to be called outside the library anyway.
  * [d9a2fb9] Drop private symbols from symbols file
  * [48ab0ec] Reset symbol versions to 8.0.0.
    We have a new ABI, no point sticking to the old versions

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 10 Apr 2020 22:04:35 +0800
