=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 RM = rm -f
 RANLIB = ranlib
 MKDIR = mkdir -p
+CXXFLAGS = -fPIC
 
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL)
