=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tinyxml2
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1),
                cmake
 Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
@@ -14,7 +14,7 @@
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-7 (= ${binary:Version}),
+Depends: libtinyxml2-8 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,12 +34,10 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-7
+Package: libtinyxml2-8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libtinyxml2-6
-Conflicts: libtinyxml2-6
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: C++ XML parsing library
