## tinyxml2 8.1.0+really8.0.0+dfsg

=== debian/changelog ===
tinyxml2 (8.1.0+really8.0.0+dfsg-1) unstable; urgency=medium

  * [054e407] Revert to upstream version 8.0.0 due to abi break in 8.1.0
  * [e68c25c] Revert debian/* to state at 8.0.0+dfsg-2

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 05 Jun 2021 16:53:02 +0800

tinyxml2 (8.1.0+dfsg-1) unstable; urgency=medium

  * [6d141b5] New upstream version 8.1.0+dfsg
  * [21e8389] Refresh patches and drop upstreamed ones
  * [d119eea] Add option to build shared libs.
    Seems to be opt-in now
  * [ce08079] Update symbols file for new symbol

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 20 May 2021 01:16:05 +0800
