## tinyxml2 9.0.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -41,11 +41,11 @@
 distclean:
 	-$(RM) *.o xmltest libtinyxml2.a
 
-test: clean xmltest
+test: xmltest
 	./xmltest
 
 # Standard GNU target
-check: clean xmltest
+check: xmltest
 	./xmltest
 
 staticlib: libtinyxml2.a
