## tinyxml2 10.0.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: tinyxml2
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dpkg-dev (>= 1.16.1),
+Build-Depends: debhelper-compat (= 13),
                cmake
 Build-Conflicts: libssl1.0.0 (= 1.0.2-1)
 Standards-Version: 4.1.3
 Section: libs
-Homepage: http://www.grinninglizard.com/tinyxml2/
+Homepage: https://www.grinninglizard.com/tinyxml2/
 Vcs-Browser: https://salsa.debian.org/debian/tinyxml2
 Vcs-Git: https://salsa.debian.org/debian/tinyxml2.git
 
 Package: libtinyxml2-dev
 Section: libdevel
 Architecture: any
-Depends: libtinyxml2-9 (= ${binary:Version}),
+Depends: libtinyxml2-10 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -34,8 +33,7 @@
   - More modern C++, including a proper namespace
   - Proper and useful handling of whitespace
 
-Package: libtinyxml2-9
-Section: libs
+Package: libtinyxml2-10
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
